$(document).ready(function() {
	$("input[name='selectedText']").attr("readonly", "true");
	$("input[name='selectedText']").css("cursor", "pointer");
	$("input[name='selectedText']").click(function() {
		$.treeDialog.dialog("open");
	});
	$.treeDialog = $("<div><div id='demotree' class='root'></div><div id='status'></div></div>").dialog({
		modal: true, 
		autoOpen: false, 
		overlay: {
			backgroundColor: "#000", opacity: 0.5
		},
		create: function(event, ui) {
			$.fn.treeview.defaults.command = "demoTreeView";
			$("#demotree").treeview({
				onSelectionChanged: function(event) {
					$("#status").html("Selected value: <b>" + $(this).text() + "</b> (" + $(this).parent().attr("id") + ")");
				}
			});
		},
		open: function(event, ui) {
			$("#demotree").treeview("refresh");
		},
		height: 370,
		width: 570,
		title: "Choose from tree",
		buttons: {"Save": function() {
			var selected = $("#demotree .selected");
			$("input[name='selectedValue']").val(selected.parent().attr("id"));
			$("input[name='selectedText']").val(selected.text());
			$.treeDialog.dialog("close");
		}}
	});
});
